Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3487 - rc.sysinit script bug
Summary: rc.sysinit script bug
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 20:55 UTC by pkinz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-17 21:30:42 UTC


Attachments (Terms of Use)

Description pkinz 1999-06-15 20:55:39 UTC
I was looking at why Linux says "can't find module st"
on the way up.
Turns out that the st.o (scsi tape) module is missing from
/lib/modules/2.2.5-15/scsi area so I copied it there.

Also, the /lib/modules/default link is not there because
of the bug in rc.sysinit so if you look for the
lines starting with:
       mtag=
and    mver=

It's trying to set up the 'default' link. But those 2 lines
need back-quotes ( ` ) after the equal sign and at the
end of the line to turn the resulting line into a string.
When I added that, I got the 'default' link and the error
on bringup didn't happen.

Funny think is that it still ran the scsi tape OK tho.

Comment 1 Bill Nottingham 1999-06-15 21:05:59 UTC
Actually, st is probably compiled into the kernel. ;)

The initscripts /lib/modules determination logic has
been fixed in the latest version of the initscripts, available
in Raw Hide.

Comment 2 pkinz 1999-06-16 17:20:59 UTC
What's "Raw Hide"? How do I get to it?

Comment 3 Bill Nottingham 1999-06-16 19:30:59 UTC
Raw Hide is the Red Hat rolling release program. It's a weekly
snapshot of our development tree. You can get stuff from it at
ftp://rawhide.redhat.com/ ; the files you'd be looking for would
be in the i386/RedHat/RPMS directory.


Note You need to log in before you can comment on or make changes to this bug.